回答編集履歴

1 書式の改善

AIthon

AIthon score 75

2019/06/22 21:28  投稿

フォルダのパスを見たところpythonのバージョンは3.7ですね。もしかするとpythonのバージョンを上げてしまったのでしょうか?そのバージョンだと確かtensorflowは対応していなかったはずです。僕も昔同じ状況でハマりました。python3.6には対応しているはずなのでダウングレードをするのが一つの手でしょう。
フォルダのパスを見たところpythonのバージョンは3.7ですね。もしかするとpythonのバージョンを上げてしまったのでしょうか?そのバージョンだと確かtensorflowはpipでオンラインでインストールできません。僕も昔同じ状況でハマりました。python3.6には対応しているはずなのでダウングレードをするのが一つの手でしょう。
もしくは、
[https://www.lfd.uci.edu/~gohlke/pythonlibs/#tensorflow](https://www.lfd.uci.edu/~gohlke/pythonlibs/#tensorflow)からダウンロードしてきたパッケージをpipでオフラインインストールすることもできます。今回はpythonのバージョンが3.7なのでtensorflow‑1.9.0‑cp37‑cp37m‑win_amd64.whlをダウンロードしてください。
ダウンロードしてきたパッケージがあるディレクトリで端末を開いて pip install tensorflow‑1.9.0‑cp37‑cp37m‑win_amd64.whl と打てばインストールできるはずです。

思考するエンジニアのためのQ&Aサイト「teratail」について詳しく知る